
Name:		kronometer
Version:	2.1.4
Release:	%mkrel 1
Summary:	A simple stopwatch application for Plasma 5
License:	GPLv2
Group:		Graphical desktop/KDE5
URL:		http://www.aelog.org/kronometer
Source0:	http://download.kde.org/stable/kronometer/%{version}/src/%{name}-%{version}.tar.xz
Source1:    org.kde.kronometer.desktop
#---------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake  
BuildRequires: libkf5crash-devel
BuildRequires: libkdoctools-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5widgets-devel
#---------------------------------------

%description
Kronometer is a stopwatch application for Plasma 5.

Kronometer’s main features are the following:

* Start/pause/resume the stopwatch widget.
* Laps recording: you can capture the stopwatch time when you want and add a
  note to it.
* Lap times sorting: you can easily find the shortest lap time or the longest
  one.
* Reset the stopwatch widget and the lap times.
* Time format settings: you can choose the stopwatch granularity.
* Times saving and resuming: you can save the stopwatch status and resume it
  later.
* Font customization: you can choose the fonts for each of the stopwatch
  digits.
* Color customization: you can choose the color for the stopwatch digits and
  the stopwatch background.
* Lap times export: you can export the lap times on a file using the JSON or
  CSV format.

%files -f %{name}.lang
%doc CHANGELOG README COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/metainfo/org.kde.kronometer.appdata.xml
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kronometer Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name}

%description	handbook
This package provides Kronometer handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

#menu
install -m 0644 %SOURCE1 %buildroot/%{_kf5_applicationsdir}/org.kde.%{name}.desktop

%find_lang %{name} --with-man


%changelog
* Mon Apr 09 2018 adrianomorselli <adrianomorselli> 2.1.4-1uplos2018
- import into uplos
